Subject: RE: bug#24295: 24.5; RIGHT SINGLE QUOTATION MARK has punctuation syntax in Elisp, but acts like a symbol constituent

From: Drew Adams <[email-masked]>
Date: Tue, 23 Aug 2016 15:56:39 -0700 (PDT)

> > In an Emacs-Lisp buffer or in *scratch*, use `C-u C-x =3D' on this
> > character: =A1=AF (RIGHT SINGLE QUOTATION MARK).  It tells you that its
> > syntax is punctuation.
> >
> > But (setq foo (intern "ab=A1=AFcd=A1=AFef")) shows that it acts like a
> > symbol-constituent character.
> 
> That certainly didn't paste well into my mail client, I guess.
> 
> The character in question is RIGHT SINGLE QUOTATION MARK.  It showed
> up in my message as =A1=AF, for some reason.  Trying again (it _looks_
> OK in my mail message, before I send it, at least):
> 
> ’’’’’’’’’’’

OK, that worked.  What was the difference?  La voici :

For the initial bug report, I used `C-c C-c' from `report-emacs-bug',
and then I used `C-v' in the popped up MS Outlook mail message window.

For the followup, I selected the char with the region in Emacs and
then used `C-v' in the MS Outlook mail message window.  So it seems
like `report-emacs-bug' doesn't quite DTRT always.